using IRaCIS.Application.Contracts;
using IRaCIS.Core.Application.Contracts.DTO;

namespace IRaCIS.Application.Interfaces
{
    public interface ITrialMaintenanceService
    {
        Task<IResponseOutput> AddTrialUsers(TrialUserAddCommand[] userTrialCommands);
        Task<IResponseOutput> DeleteMaintenanceUser(Guid id, bool isDelete);
        Task<PageOutput<TrialMaintenanceDTO>> GetMaintenanceUserList(TrialMaintenanceQuery param);
        Task<PageOutput<AssginSiteCRCListDTO>> GetSiteCRCScreeningList(SiteCRCQuery param);
        Task<IResponseOutput<PageOutput<TrialUserScreeningDTO>>> GetTrialUserScreeningList(TrialUserQuery trialUserQuery);
    }
}